Index: tools/py_event_log_analyzer/rtp_analyzer.sh |
diff --git a/tools/python_charts/webrtc/__init__.py b/tools/py_event_log_analyzer/rtp_analyzer.sh |
old mode 100644 |
new mode 100755 |
similarity index 56% |
copy from tools/python_charts/webrtc/__init__.py |
copy to tools/py_event_log_analyzer/rtp_analyzer.sh |
index 674c80f373c9f80e6425a3eafe35adf5b4aba566..7727d597d2275c029f44ddfa271c54add962f661 |
--- a/tools/python_charts/webrtc/__init__.py |
+++ b/tools/py_event_log_analyzer/rtp_analyzer.sh |
@@ -1,8 +1,16 @@ |
-#!/usr/bin/env python |
-# Copyright (c) 2011 The WebRTC project authors. All Rights Reserved. |
+#!/bin/sh |
+# Copyright (c) 2016 The WebRTC project authors. All Rights Reserved. |
# |
# Use of this source code is governed by a BSD-style license |
# that can be found in the LICENSE file in the root of the source |
# tree. An additional intellectual property rights grant can be found |
# in the file PATENTS. All contributing project authors may |
# be found in the AUTHORS file in the root of the source tree. |
+set -e |
+cd $(dirname $0) |
+PYTHONPATH="../../third_party/protobuf/python/" |
+if [ -z ${PYTHON_EXECUTABLE+x} ] |
+then |
+ PYTHON_EXECUTABLE=python3 |
+fi |
+exec $PYTHON_EXECUTABLE "rtp_analyzer.py" $@ |
kjellander_webrtc
2016/06/13 12:33:31
I would prefer not having this script. You can alt
phoglund
2016/06/13 13:40:48
One problem is that the script doesn't run in pyth
kjellander_webrtc
2016/06/13 14:13:04
Fair enough, let's keep it around.
I don't see the
|